Package org.apache.sis.feature

# Enum FoliationRepresentation

Object
Enum<FoliationRepresentation>
FoliationRepresentation

All Implemented Interfaces:
  `Serializable`, `Comparable<FoliationRepresentation>`, `Constable`

public enum FoliationRepresentation extends Enum<FoliationRepresentation>
Specifies whether trajectories are represented in a single moving feature instance or fragmented in distinct static feature instances.
Example: consider the following trajectories:

Moving features example
Identifier | Time | Trajectory | Status
--- | --- | --- | ---
John Smith | 8:00 | (3 4), (3 5) | Walking
Joe Blo | 8:00 | (5 5), (6 6) | Walking
John Smith | 8:05 | (3 5), (3 9) | Running

In this example, John Smith's trajectory can be represented in two ways: we can construct a single moving feature instance representing the full trajectory (3 4), (3 5), (3 9) with some time representation (for example by adding a temporal dimension in each coordinate) and dynamic "Status" property. Or alternatively, we can keep John Smith's trajectory fragmented in two `Feature` instance where each instance can be handled as a static feature.
This enumeration can be used with `DataStore` as a hint about desired representation of moving features.

Since:
  1.0

Defined in the `sis-feature` module

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum​.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSEMBLED`
  Trajectories stored in a single `Feature` instance.
  `FRAGMENTED`
  Trajectories stored in distinct `Feature` instances, each of them handled as if it was a static feature.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FoliationRepresentation`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FoliationRepresentation[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ASSEMBLED

    public static final FoliationRepresentation ASSEMBLED
    Trajectories stored in a single `Feature` instance. Every point on the trajectory may be at a different time. Properties may be dynamic, i.e. have time-dependent value.

  - ### FRAGMENTED

    public static final FoliationRepresentation FRAGMENTED
    Trajectories stored in distinct `Feature` instances, each of them handled as if it was a static feature.

- ## Method Details

  - ### values

    public static FoliationRepresentation[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FoliationRepresentation valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null